import { PublicKey, Keypair } from "@solana/web3.js";
import bs58 from "bs58";

export const convertPubkey = (publicKey: string): PublicKey => {
  return new PublicKey(publicKey);
};

export const convertKeypair = (privateKeyBS58: string): Keypair => {
  return Keypair.fromSecretKey(Uint8Array.from(bs58.decode(privateKeyBS58)));
};

export const convertNumber = (number: string): number => {
  if (isNaN(Number(number))) {
    throw new Error("Invalid number");
  }
  return Number(number);
};
